Warning: file_exists(): open_basedir restriction in effect. File(/srv/http/vhosts/aur.archlinux.org/public/web/locale//en/LC_MESSAGES/aurweb.mo) is not within the allowed path(s): (/srv/http/vhosts/aur-dev.archlinux.org/:/etc/aurweb/) in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/streams.php on line 90
AUR (en) - cataclysm-dda-git

Notice: Undefined variable: name in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/pkgfuncs.inc.php on line 248

Package Details: cataclysm-dda-git 0.C.2016.03.12-1

Git Clone URL: https://aur-dev.archlinux.org/cataclysm-dda-git.git (read-only)
Package Base: cataclysm-dda-git
Description: A post-apocalyptic roguelike.
Upstream URL: http://en.cataclysmdda.com/
Licenses: CCPL:by-sa
Conflicts: cataclysm-dda,, cataclysm-dda-ncurses, cataclysm-dda-sdl-git
Submitter: Ferk
Maintainer: keenerd
Last Packager: keenerd
Votes: 30
Popularity: 0.041104
First Submitted: 2013-11-23 17:41
Last Updated: 2016-03-12 20:54

Latest Comments

« First ‹ Previous 1 2 3 4 5 Next › Last »

Ferk commented on 2013-12-10 22:52

I didn't notice this package, I should have searched better... I duplicated it as "cataclysm-dda-git". Should I remove it?

Nevertheless, check out my PKGBUILD, I committed some changes to the cataclysm-launcher that were pulled into the official repo recently and now it won't be necessary to patch the source code to change the paths if we just use the launcher.

Also, you should add "RELEASE=1" to the make arguments.

https://aur.archlinux.org/packages/ca/cataclysm-dda-git/PKGBUILD

Zom commented on 2013-12-05 20:53

Needs sdl as a dep, or at least as a makedep.

denspirit commented on 2013-11-26 16:02

This updated PKGBUILD tries to fix fresh build/run issues due to some changes in upstream:
http://pastebin.com/YyZyX39r
1) source preparations such as changing default paths for save,data etc are now applied to new file "worldfactory.cpp" too.
2) prepare() now cd's to "src" subdir of all sources, due to moving all sources to it by upstream Git.

Crashlog commented on 2013-10-25 15:31

Is it possible to get this switched over to SDL for tileset support?

graydsl commented on 2013-07-01 13:44

The new official repo is: https://github.com/CleverRaven/Cataclysm-DDA

Crashlog commented on 2013-03-22 12:08

I used this one: https://github.com/TheDarklingWolf/Cataclysm-DDA/
because it's the one linked to on the website http://www.cataclysmdda.com/

Crashlog commented on 2013-03-22 12:07

I used this one: https://github.com/TheDarklingWolf/Cataclysm-DDA/

keenerd commented on 2013-03-22 00:26

Which sources did you compile yourself? This package pulls from
https://github.com/TheDarklingWolf/Myriad-Mod
Did you hve a different source repository in mind?

Crashlog commented on 2013-03-21 23:26

Am I doing something wrong then when I install it then? When I use this, I get a game with Whales' name written all over it, and a different start screen compared to the game that I compiled from source.

keenerd commented on 2013-03-21 23:19

Crashlog: I switched it to DDA two weeks before your comment.